//------------------------------------------
// activites composees de recolte qui génèrent chacune
//   - une activite primitive de fauche
//   - une activite primitive de stockage
//------------------------------------------

// critere = 1: on fauche a partir dun rendement minimum donc dune biomasse
// sur pied minimum (herbageYieldThreshold)
// critere = 2: on fauche a partir dun stade phenologique 
// (herbagePhenologicalStageThreshold)
// critere = 3: on fauche a partir dun rendement minimum donc dune biomasse
// sur pied minimum et a partir dun stade phenologique (herbageYieldThreshold,
// herbagePhenologicalStageThreshold)
// critere = 4: on fauche a partir dun rendement minimum donc dune biomasse
// sur pied minimum et a partir dune duree de repousse en degres jours
// (herbageYieldThreshold, comingHerbageRegrowthDurationThreshold)

//------------------------------------------------------------
// 1ere coupe fonds de vallee: enrubannage a partir de 1000 GDD
// avant le stade floraison (1245 GDD)
//------------------------------------------------------------
<I><harvestingHerbageForBaleSilageMaking valleyPlot6Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot6>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot7Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot7>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot8Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot8>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot2Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot2>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot3Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot3>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot4Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot4>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot5Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot5>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
<I><harvestingHerbageForBaleSilageMaking valleyPlot1Harvesting1>
	operatedObjectAttribute = <I><, valleyPlot1>;
        criteria = 2;
        herbagePhenologicalStageThreshold = 1000.;
;
//------------------------------------------------------------
// 2eme coupe fonds de vallee (idem 1ere coupe versants)
//------------------------------------------------------------
<I><harvestingHerbageForHayMaking valleyPlot6Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot6>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot7Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot7>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot8Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot8>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot2Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot2>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot3Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot3>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot4Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot4>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot5Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot5>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking valleyPlot1Harvesting2>
	operatedObjectAttribute = <I><, valleyPlot1>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
//------------------------------------------------------------
// 1ere coupe versants: un rdt minimum et une duree de vie de 
// feuilles pour éviter les pertes de biomasse par senescence
// qui diminuent la digestibilite
//------------------------------------------------------------
<I><harvestingHerbageForHayMaking slopePlot1Harvesting1>
	operatedObjectAttribute = <I><, slopePlot1>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;
<I><harvestingHerbageForHayMaking slopePlot2Harvesting1>
	operatedObjectAttribute = <I><, slopePlot2>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 700.;
;

//------------------------------------------------------------
// 3eme coupe (optionnelle) fonds de vallee: un rdt minimum et 
// moins d'une duree de vie de feuilles 
//------------------------------------------------------------
<I><harvestingHerbageOptional valleyPlot6Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot6Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot6>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot7Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot7Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot7>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot8Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot8Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot8>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot2Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot2Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot2>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot3Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot3Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot3>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot4Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot4Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot4>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot5Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot5Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot5>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;
<I><harvestingHerbageOptional valleyPlot1Harvesting3Optional>
        maxBegDay = 15; maxBegMonth = 9;
;
<I><harvestingHerbageForHayMaking valleyPlot1Harvesting3>
	operatedObjectAttribute = <I><, valleyPlot1>;
        criteria = 4;
	herbageYieldThreshold = 800.;
        comingHerbageRegrowthDurationThreshold = 600.;
;

END INCLUDE;
