//---------------------
// activités primitives de deplacement des lots danimaux 
//---------------------

//*******************************************************
// pour les activites movingHerdBatchFieldToField
//*******************************************************
// critere = 1: on rase jusqua ce quil ny ait plus assez pour tenir un 
// jour de plus quelle que soit la date
// critere = 2: on a un parcours avec des dates a respecter 
//      (maxBegDay, maxBegMonth)
// critere = 3: on conduit selon la qte dherbe sur la parcelle en cours 
//      (currentHerbageResidualDryMatterThreshold, 
//       currentHerbageResidualHeightThreshold)
// critere = 4: on conduit selon la qte dherbe sur la parcelle a venir et
// des temps de séjour minimum et maximum sur la parcelle (3 et 4.5 j / ha)
//      (comingHerbageEntranceHeightThreshold)
// critere = 5: on conduit selon la qte dherbe sur la parcelle en cours 
// et sur la parcelle a venir 
//      (currentHerbageResidualHeightThreshold,
//       comingHerbageEntranceHeightThreshold)
// critere = 6: on conduit selon lage de la pousse sur la parcelle  a venir
//      (comingHerbageRegrowthDurationThreshold)
// critere = 7: on conduit selon le stade pheno sur la parcelle a venir 
//      (herbagePhenologicalStageThreshold)
//------------------------------------------------------------
// De 2 à 7, on evalue aussi sil y a la possibilite dalimenter 
// le lot un jour de plus sur la parcelle

//*******************************************************
// pour les activites movingHerdBatchFieldToFieldOptional
//*******************************************************
// critere = 1: assez dherbe sur les parcelles de la saison pratique a venir
// critere = 2: deplacement sur les parcelles de la même saison pratique 
// uniquement si les conditions meteo le permettent
// critere = 3: assez dherbe sur les parcelles de la même saison pratique

//*******************************************************
// pour le Lot de G1 et G2 == HB1
//*******************************************************

//-----------------------------------
// mise a l'herbe au plus tot le 20/3, sinon des quil y a plus de 8cm sur
// la premiere parcelle paturable et au plus tard le 20/4

<I><movingHerdBatchStableToField turnoutHB1ToValleyPlot5>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, valleyPlot5Spec>;
        minBegDay = 20;  minBegMonth = 3;
        maxBegDay = 20;  maxBegMonth = 4;
        comingHerbageEntranceHeightThreshold = 8.;
;
//-----------------------------------
// le circuit de paturage sur les versants ne commence pas apres le 10/5 pour
// ne pas compromettre les quantites fauchees sur les parcelles de fond de 
// vallee. Ce circuit est regi par le souci de ne pas etre depasse par 
// l'herbe sur les versants durant l'ete. Les deplacements du lot sont 
// declenches sitot qu'un temps de sejour minimum sur la parcelle courante 
// a été atteint et qu'il y a plus de 18 cm d'herbe paturable sur la parcelle
// a venir (cf. recommendations A. Voisin), lorsqu'un temps de sejour 
// maximum sur la parcelle a ete atteint ou lorsqu'il n'y a plus d'herbe 
// à pâturer. Deux deplacements a la fin de cette saison pratique sont 
// optionnels car tributaires des temps de sejour sur les parcelles
// precedemment paturees. Une date seuil est fixee pour le dernier deplacement
// car des la mi-octobre, les animaux sont deplaces vers des parcelles 
// d'altitude plus faible afin d'eviter des conditions meteo trop defavorables.

<I><movingHerdBatchFieldToField movingHB1ToSlopePlot11>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot1Spec>;
	criteria = 2;
        maxBegDay = 10;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot41>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot4Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot21>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot2Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot31>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot3Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot51>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot5Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot61>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot6Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot42>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot4Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot12>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot1Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot22>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot2Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToFieldOptional movingHB1ToSlopePlot32Optional>
        criteria = 2;
        maxBegDay = 25;  maxBegMonth = 8;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot32>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot3Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToFieldOptional movingHB1ToSlopePlot52Optional>
        criteria = 2;
        maxBegDay = 5;  maxBegMonth = 9;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot52>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot5Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToFieldOptional movingHB1ToSlopePlot62Optional>
        criteria = 2;
        maxBegDay = 15;  maxBegMonth = 9;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot62>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot6Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot43>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot4Spec>;
        criteria = 4;
        comingHerbageEntranceHeightThreshold = 18.;
;
<I><movingHerdBatchFieldToField movingHB1ToSlopePlot13>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, slopePlot1Spec>;
        criteria = 2;
        maxBegDay = 15;  maxBegMonth = 10;
;
//-----------------------------------
// ce dernier circuit de pâturage est tres tributaires des conditions meteo
// et se composent donc d'activites optionnelles. Les parcelles sont paturees
// ras jusqu'au retour a l'etable. 

<I><movingHerdBatchFieldToField movingHB1ToValleyPlot12>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, valleyPlot1Spec>;
	criteria = 2;
        maxBegDay = 15;  maxBegMonth = 11;
;
<I><movingHerdBatchFieldToFieldOptional movingHB1ToValleyPlot21Optional>
        criteria = 2;
        maxBegDay = 1;  maxBegMonth = 12;
;
<I><movingHerdBatchFieldToField movingHB1ToValleyPlot21>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, valleyPlot2Spec>;
	criteria = 1;
;
<I><movingHerdBatchFieldToStable movingHB1ToStable>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, cowshedSpec>;
        	minBegDay =  15;  minBegMonth = 11;
        	maxBegDay = 4;  maxBegMonth = 12;
;

//*******************************************************
// pour le Lot de VA == HB2
//*******************************************************

//-----------------------------------
// la mise a l'herbe des vaches intervient apres celle des genisses, soit 
// au plus tot le 20/3, sinon des qu'il y a plus de 10 cm d'herbe sur la  
// premiereparcelle paturable et au plus tard le 30/4. La surface de fond de 
// vallee paturee au printemps etant fixee, l'objectif est de paturer  
// l'ensemble des parcelles et les deplacements sont donc regis par des dates  
// pour assurer que le passage sur les versants de fasse suffisamment tot en 
// prevision de l'estivage. 

<I><movingHerdBatchStableToField turnoutHB2ToValleyPlot11>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot1Spec>;
        minBegDay = 20;  minBegMonth = 3;
        maxBegDay = 25;  maxBegMonth = 4;
        comingHerbageEntranceHeightThreshold = 10.;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot21>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot2Spec>;
        criteria = 2;
        maxBegDay = 25;  maxBegMonth = 4;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot31>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot3Spec>;
        criteria = 2;
        maxBegDay = 5;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot41>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot4Spec>;
        criteria = 2;
        maxBegDay = 10;  maxBegMonth = 5;
;
//-----------------------------------
// le passage sur les versants s'effectue au plus tard le 13/5. Le contrat
// avec le vacher commencant a une date fixe, les deplacements du lot en 
// direction de l'estive respectent des dates seuils pour etre sur la parcelle
// adequate au moment de l'estivage. 

<I><movingHerdBatchFieldToField movingHB2ToSlopePlot21>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot2Spec>;
        criteria = 2;
        maxBegDay = 13;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot31>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot3Spec>;
        criteria = 2;
        maxBegDay = 18;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot51>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot5Spec>;
        criteria = 2;
        maxBegDay = 23;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot61>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot6Spec>;
        criteria = 2;
        maxBegDay = 28;  maxBegMonth = 5;
;
<I><movingHerdBatchFieldToSummerGrassland movingHB2ToSummerGrassland>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, summerGrasslandPlotSpec>;
        minBegDay =  1;  minBegMonth = 6;
        maxBegDay = 1;  maxBegMonth = 6;
;
//-----------------------------------
// au retour de l'estive, la redescente vers les parcelles de fond de vallee 
// s'effectue progressivement sous la pression des conditions meteo. 
// Des dates seuils rythment les deplacements du lot. L'objectif est de passer 
// une derniere fois sur chacune des parcelles du cricuit de printemps.

<I><movingHerdBatchSummerGrasslandToField movingBackHB2FromSummerGrassland>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot6Spec>;
        minBegDay =  1;  minBegMonth = 10;
        maxBegDay = 1;  maxBegMonth = 10;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot52>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot5Spec>;
        criteria = 2;
        maxBegDay = 15;  maxBegMonth = 10;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot32>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot3Spec>;
        criteria = 2;
        maxBegDay = 1;  maxBegMonth = 11;
;
<I><movingHerdBatchFieldToField movingHB2ToSlopePlot22>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, slopePlot2Spec>;
        criteria = 2;
        maxBegDay = 5;  maxBegMonth = 11;
;
//-----------------------------------
// ce dernier circuit de pâturage est tres tributaires des conditions meteo
// et se composent donc d'activites optionnelles. Les parcelles sont paturees
// ras jusqu'au retour a l'etable. 

<I><movingHerdBatchFieldToField movingHB2ToValleyPlot42>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot4Spec>;
	criteria = 2;
        maxBegDay = 15;  maxBegMonth = 11;
;
<I><movingHerdBatchFieldToFieldOptional movingHB2ToOptionalValleyPlot32>
        criteria = 2;
        maxBegDay = 25;  maxBegMonth = 11;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot32>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot3Spec>;
	criteria = 1;
;
<I><movingHerdBatchFieldToFieldOptional movingHB2ToOptionalValleyPlot22>
        criteria = 2;
        maxBegDay = 30;  maxBegMonth = 11;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot22>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot2Spec>;
	criteria = 1;
;
<I><movingHerdBatchFieldToFieldOptional movingHB2ToOptionalValleyPlot12>
        criteria = 2;
        maxBegDay = 3;  maxBegMonth = 12;
;
<I><movingHerdBatchFieldToField movingHB2ToValleyPlot12>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, valleyPlot1Spec>;
	criteria = 1;
;
<I><movingHerdBatchFieldToStable movingHB2ToStable>
	operatedObjectAttribute = <I><, HB2>;
	destinationCandidatesSpec = <I><, cowshedSpec>;
        	minBegDay =  15;  minBegMonth = 11;
        	maxBegDay = 4;  maxBegMonth = 12;
;

//*******************************************************
// ajustement conditionnel HB1
//*******************************************************

// dans ce cas, l'eleveur est a la recherche d'herbe paturable donc l'iteration
// se compose d'une activite de deplacement donc la destination est inconnue
// a priori, a choisir parmi les parcelles de versants selon la biomasse
// paturable qu'elles renferment. 

<I><movingHerdBatchFieldToFieldIteration movingHB1DuringDroughtIteration>
        maxEndDay = 10;  maxEndMonth = 9;
;
+ I operatedObjectSpecification multipleDestDroughtSpec
	preExpandedList << <I><, slopePlot1>;
	preExpandedList << <I><, slopePlot2>;
	preExpandedList << <I><, slopePlot3>;
	preExpandedList << <I><, slopePlot4>;
	preExpandedList << <I><, slopePlot5>;
	preExpandedList << <I><, slopePlot6>;
;
<I><movingHerdBatchFieldToField movingHB1DuringDrought>
	operatedObjectAttribute = <I><, HB1>;
	destinationCandidatesSpec = <I><, multipleDestDroughtSpec>;
        destinationCriteria = 1;
        criteria = 1;
;

END INCLUDE;
